Subject: Re: Last Call: <draft-ietf-ccamp-microwave-framework-05.txt> (A framework for Management and Control of microwave and millimeter wave interface parameters) to Informational RFC

From: "tom p." <[email-masked]>
Date: Tue, 10 Apr 2018 16:35:54 +0100

I wonder what
   [I-D.ahlberg-ccamp-microwave-radio-link]
an Informative reference to an expired I-D from 2016 containing little
more than a YANG module, adds that
   [I-D.ietf-ccamp-mw-yang]
a fully fledged I-D, in WG Last Call, with very similar data structures
and accompanying text, does not provide.  I am puzzled to read
"   The recommendation is to use the structure of the IETF: Radio Link
   Model [I-D.ahlberg-ccamp-microwave-radio-link] as the starting point,
"
when a more recently worked on I-D is available.

The I-D includes MUST and must, SHOULD and should, but no reference to
RFC8174; I think that this needs a further look.

The normatively referenced RFC7223 and RFC7277 have both been superseded
by I-Ds that have been around for quite a while while rfc8022bis is well
on its way to superseding the referenced RFC8022..

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Friday, April 06, 2018 8:20 PM
Subject: Last Call: <draft-ietf-ccamp-microwave-framework-05.txt> (A
framework for Management and Control of microwave and millimeter wave
interface parameters) to Informational RFC

>
> The IESG has received a request from the Common Control and
Measurement Plane
> WG (ccamp) to consider the following document: - 'A framework for
Management
> and Control of microwave and millimeter
>    wave interface parameters'
>   <draft-ietf-ccamp-microwave-framework-05.txt> as Informational RFC
>
> The IESG plans to make a decision in the next few weeks, and solicits
final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2018-04-20. Exceptionally, comments may
be
> sent to [email-masked] instead. In either case, please retain the
beginning of
> the Subject line to allow automated sorting.
>
> Abstract
>
>
>    The unification of control and management of microwave radio link
>    interfaces is a precondition for seamless multilayer networking and
>    automated network provisioning and operation.
>
>    This document describes the required characteristics and use cases
>    for control and management of radio link interface parameters using
a
>    YANG Data Model.
>
>    The purpose is to create a framework for identification of the
>    necessary information elements and definition of a YANG Data Model
>    for control and management of the radio link interfaces in a
>    microwave node.  Some parts of the resulting model may be generic
>    which could also be used by other technologies.
>
>
>
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-ccamp-microwave-framework/
>
> IESG discussion can be tracked via
>
https://datatracker.ietf.org/doc/draft-ietf-ccamp-microwave-framework/ba
llot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>
>
>
>

---

From: Daniele Ceccarelli <[email-masked]>
Date: Tue, 10 Apr 2018 16:27:57 +0000

Hi Tom,

Thanks for raising the issue,  but we've already discussed this and we told the authors they could have fixed it during one of the many reviews that still need to come. 

BR
Daniele  

> -----Original Message-----
> From: tom p. [mailto:[email-masked]]
> Sent: martedì 10 aprile 2018 17:36
> To: ietf <[email-masked]>
> Cc: [email-masked]; [email-masked]; Daniele Ceccarelli
> <[email-masked]>; [email-masked]; draft-ietf-ccamp-
> [email-masked]
> Subject: Re: Last Call: <draft-ietf-ccamp-microwave-framework-05.txt> (A
> an Informative reference to an expired I-D from 2016 containing little more
> than a YANG module, adds that
>    [I-D.ietf-ccamp-mw-yang]
> a fully fledged I-D, in WG Last Call, with very similar data structures and
> accompanying text, does not provide.  I am puzzled to read
>    Model [I-D.ahlberg-ccamp-microwave-radio-link] as the starting point, "
> The normatively referenced RFC7223 and RFC7277 have both been
> superseded by I-Ds that have been around for quite a while while rfc8022bis
> is well on its way to superseding the referenced RFC8022..
> 
> Tom Petch
> 
> 
> <[email-masked]>; <[email-masked]>; <draft-ietf-ccamp-
> [email-masked]>